shishi_safe_safe_der(3)

NAME
shishi_safe_safe_der - API function

SYNOPSIS
#include <shishi.h>

int shishi_safe_safe_der(Shishi_safe * safe, char ** out, size_t * outlen);

ARGUMENTS

Shishi_safe * safe
    safe as allocated by shishi_safe().

char ** out
    output array with newly allocated DER encoding of SAFE.

size_t * outlen
    length of output array with DER encoding of SAFE.

DESCRIPTION
DER encode SAFE structure. Typically shishi_safe_build() is used to build the SAFE structure first. out is allocated by this function, and it is the responsibility of caller to deallocate it.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.